<?php
$conf_basedir	= "../../";	//相对主目录的位置
$conf_where		= "admin";	//选择调用相应模块
// $directory		= basename(dirname(__FILE__));	//定义当前所在的目录，引入模块公用函数
include_once($conf_basedir."base.inc.php");
checkAuth('104');	//判断登录和权限

$title = "租售宝app广告管理";

if($do == 'ad_add'){

	$data = array();
	$data['a_title'] = trim($a_title);
    $data['a_href'] = trim($a_href);
	$data['a_pic'] = trim($p_filename[0]);
	$data['a_stime'] = strtotime(trim($a_stime));
	$data['a_etime'] =  strtotime(trim($a_etime));
	$data['a_status'] = trim($a_status);
 
	if(!$data['a_title'] || !$data['a_href'] || !$data['a_pic'] || !$data['a_stime'] || !$data['a_etime']){
		js_alert('数据参数错误,保存失败！');die; //数据检查不合格
	}
 
    //插入数据库
	$sql = SqlCombinHelper::insert_sql('mobile_zsb_ad', $data);
	$db->Execute($sql);
	$id =$db->Insert_ID();
    if($id){
		js_alert('保存成功','./zsbad_manage.php?do=ad_edit&id='.$id,3);die;
	}else{
		js_alert('保存失败！');die;
	}

}elseif($do == 'ad_edit'){
	$sql = "select * from mobile_zsb_ad  where a_id = '{$id}'";
    $data_info = $dbback->GetRow($sql);
	$data_info['a_stime'] = date('Y-m-d H:i:s',$data_info['a_stime']);
	$data_info['a_etime'] = date('Y-m-d H:i:s',$data_info['a_etime']);

//print_r($data_info);die;

	include_once(Template("header"));
	include_once(Template("mobile/ad_edit"));
	include_once(Template("footer"));
}elseif($do == 'ad_modify'){
	$data = array();
	$data['a_title'] = trim($a_title);
    $data['a_href'] = trim($a_href);
	$data['a_pic'] = trim($p_filename[0]);
	$data['a_stime'] = strtotime(trim($a_stime));
	$data['a_etime'] =  strtotime(trim($a_etime));
	$data['a_status'] = trim($a_status);
 
	if(!$data['a_title'] || !$data['a_href'] || !$data['a_pic'] || !$data['a_stime'] || !$data['a_etime']){
		js_alert('数据参数错误,修改失败！');die; //数据检查不合格
	}
 
    //更新数据库
	$sql = SqlCombinHelper::update_sql('mobile_zsb_ad',$data," a_id = {$id}");
	$db->Execute($sql);
    if($id){
		js_alert('修改成功','./zsbad_manage.php?do=ad_edit&id='.$id,3);die;
	}else{
		js_alert('修改失败！');die;
	}
 
}else{
	$data_info = array();
	include_once(Template("header"));
	include_once(Template("mobile/ad_new"));
	include_once(Template("footer"));

}
 




